org.eclnt.jsfserver.elements.componentnodes

## Class CLIENTSERIALRECEIVERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.CLIENTSERIALRECEIVERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class CLIENTSERIALRECEIVERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CLIENTSERIALRECEIVERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CLIENTSERIALRECEIVERNode` | `bindActionListener(IActionListenerDelegation value)`
    `CLIENTSERIALRECEIVERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `CLIENTSERIALRECEIVERNode` | `bindAvoidvalidations(IDynamicContentBindingObject value)`
    `CLIENTSERIALRECEIVERNode` | `bindBaudrate(IDynamicContentBindingObject value)`
    `CLIENTSERIALRECEIVERNode` | `bindComment(IDynamicContentBindingObject value)`
    `CLIENTSERIALRECEIVERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `CLIENTSERIALRECEIVERNode` | `bindDatabits(IDynamicContentBindingObject value)`
    `CLIENTSERIALRECEIVERNode` | `bindFlowcontrolin(IDynamicContentBindingObject value)`
    `CLIENTSERIALRECEIVERNode` | `bindFlowcontrolout(IDynamicContentBindingObject value)`
    `CLIENTSERIALRECEIVERNode` | `bindParity(IDynamicContentBindingObject value)`
    `CLIENTSERIALRECEIVERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `CLIENTSERIALRECEIVERNode` | `bindSerialport(IDynamicContentBindingObject value)`
    `CLIENTSERIALRECEIVERNode` | `bindStatusbarneutral(IDynamicContentBindingObject value)`
    `CLIENTSERIALRECEIVERNode` | `bindStopbits(IDynamicContentBindingObject value)`
    `CLIENTSERIALRECEIVERNode` | `setActionListener(java.lang.String value)`
    `CLIENTSERIALRECEIVERNode` | `setAdapterbinding(java.lang.String value)`
    `CLIENTSERIALRECEIVERNode` | `setAttributemacro(java.lang.String value)`
    `CLIENTSERIALRECEIVERNode` | `setAvoidvalidations(boolean value)`
    `CLIENTSERIALRECEIVERNode` | `setAvoidvalidations(java.lang.String value)`
    `CLIENTSERIALRECEIVERNode` | `setBaudrate(int value)`
    `CLIENTSERIALRECEIVERNode` | `setBaudrate(java.lang.String value)`
    `CLIENTSERIALRECEIVERNode` | `setComment(java.lang.String value)`
    `CLIENTSERIALRECEIVERNode` | `setConfiginfo(java.lang.String value)`
    `CLIENTSERIALRECEIVERNode` | `setDatabits(java.lang.String value)`
    `CLIENTSERIALRECEIVERNode` | `setFlowcontrolin(java.lang.String value)`
    `CLIENTSERIALRECEIVERNode` | `setFlowcontrolout(java.lang.String value)`
    `CLIENTSERIALRECEIVERNode` | `setId(java.lang.String value)`
    `CLIENTSERIALRECEIVERNode` | `setParity(java.lang.String value)`
    `CLIENTSERIALRECEIVERNode` | `setReference(java.lang.String value)`
    `CLIENTSERIALRECEIVERNode` | `setRendered(boolean value)`
    `CLIENTSERIALRECEIVERNode` | `setRendered(java.lang.String value)`
    `CLIENTSERIALRECEIVERNode` | `setSerialport(java.lang.String value)`
    `CLIENTSERIALRECEIVERNode` | `setStatusbarneutral(boolean value)`
    `CLIENTSERIALRECEIVERNode` | `setStatusbarneutral(java.lang.String value)`
    `CLIENTSERIALRECEIVERNode` | `setStopbits(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CLIENTSERIALRECEIVERNode

          public CLIENTSERIALRECEIVERNode()

  - ### Method Detail

    - #### setId

          public CLIENTSERIALRECEIVERNode setId(java.lang.String value)

    - #### setActionListener

          public CLIENTSERIALRECEIVERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public CLIENTSERIALRECEIVERNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public CLIENTSERIALRECEIVERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public CLIENTSERIALRECEIVERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public CLIENTSERIALRECEIVERNode setAttributemacro(java.lang.String value)

    - #### setAvoidvalidations

          public CLIENTSERIALRECEIVERNode setAvoidvalidations(java.lang.String value)

    - #### bindAvoidvalidations

          public CLIENTSERIALRECEIVERNode bindAvoidvalidations(IDynamicContentBindingObject value)

    - #### setAvoidvalidations

          public CLIENTSERIALRECEIVERNode setAvoidvalidations(boolean value)

    - #### setBaudrate

          public CLIENTSERIALRECEIVERNode setBaudrate(java.lang.String value)

    - #### bindBaudrate

          public CLIENTSERIALRECEIVERNode bindBaudrate(IDynamicContentBindingObject value)

    - #### setBaudrate

          public CLIENTSERIALRECEIVERNode setBaudrate(int value)

    - #### setComment

          public CLIENTSERIALRECEIVERNode setComment(java.lang.String value)

    - #### bindComment

          public CLIENTSERIALRECEIVERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public CLIENTSERIALRECEIVERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public CLIENTSERIALRECEIVERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDatabits

          public CLIENTSERIALRECEIVERNode setDatabits(java.lang.String value)

    - #### bindDatabits

          public CLIENTSERIALRECEIVERNode bindDatabits(IDynamicContentBindingObject value)

    - #### setFlowcontrolin

          public CLIENTSERIALRECEIVERNode setFlowcontrolin(java.lang.String value)

    - #### bindFlowcontrolin

          public CLIENTSERIALRECEIVERNode bindFlowcontrolin(IDynamicContentBindingObject value)

    - #### setFlowcontrolout

          public CLIENTSERIALRECEIVERNode setFlowcontrolout(java.lang.String value)

    - #### bindFlowcontrolout

          public CLIENTSERIALRECEIVERNode bindFlowcontrolout(IDynamicContentBindingObject value)

    - #### setParity

          public CLIENTSERIALRECEIVERNode setParity(java.lang.String value)

    - #### bindParity

          public CLIENTSERIALRECEIVERNode bindParity(IDynamicContentBindingObject value)

    - #### setReference

          public CLIENTSERIALRECEIVERNode setReference(java.lang.String value)

    - #### setRendered

          public CLIENTSERIALRECEIVERNode setRendered(java.lang.String value)

    - #### bindRendered

          public CLIENTSERIALRECEIVERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public CLIENTSERIALRECEIVERNode setRendered(boolean value)

    - #### setSerialport

          public CLIENTSERIALRECEIVERNode setSerialport(java.lang.String value)

    - #### bindSerialport

          public CLIENTSERIALRECEIVERNode bindSerialport(IDynamicContentBindingObject value)

    - #### setStatusbarneutral

          public CLIENTSERIALRECEIVERNode setStatusbarneutral(java.lang.String value)

    - #### bindStatusbarneutral

          public CLIENTSERIALRECEIVERNode bindStatusbarneutral(IDynamicContentBindingObject value)

    - #### setStatusbarneutral

          public CLIENTSERIALRECEIVERNode setStatusbarneutral(boolean value)

    - #### setStopbits

          public CLIENTSERIALRECEIVERNode setStopbits(java.lang.String value)

    - #### bindStopbits

          public CLIENTSERIALRECEIVERNode bindStopbits(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.